
CoCoALib - Design #572

Split SparsePolyRing.H into two files? Problem with circular includes.

14 Jun 2014 19:57 - John Abbott

Status: New Start date: 14 Jun 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

I was unable to add a JBMill field to a SparsePolyRingIdeal because of circular includes.

One solution would be to split SparsePolyRing.H into two files: one contains only the definition of the type SparsePolyRing, the other

contains all the rest.

Similar splitting could be considered for other files (e.g. ring.H)

Is this a good idea?

Related issues:

Related to CoCoALib - Design #1163: Split SparsePolyRing.C in smaller files Closed 27 Feb 2018

Related to CoCoALib - Design #1177: File names: use "SparsePolyOps" prefix fo... Closed 06 Apr 2018

History

#1 - 09 Jul 2014 18:00 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#2 - 27 Feb 2018 18:21 - Anna Maria Bigatti

- Related to Design #1163: Split SparsePolyRing.C in smaller files added

#3 - 17 May 2018 16:36 - Anna Maria Bigatti

- Subject changed from Split SparsePolyRing.H into two files? to Split SparsePolyRing.H into two files? Problem with circular includes.

#4 - 02 Aug 2018 17:07 - Anna Maria Bigatti

- Related to Design #1177: File names: use "SparsePolyOps" prefix for pertinent files added
